## NAME

m.kappa - Calculate error matrix and kappa parameter for accuracy assessment of classification result.
(GRASS Support Program)

## SYNOPSIS

m.kappa
m.kappa help
m.kappa [-h] [inputname] [outputname] [title"name"]

## DESCRIPTION

m.kappa tabulates the error matrix of classification result by reading error matrix. Both overall kappa (accompanied by its variance) and conditional kappa values are calculated.

The user can run the program non-interactively by specifying all needed flag settings and parameter values on the command line, in the form:

  m.kappa [-h] [inputname] [outputname] [title"name"]

  ### Flag:

  -h
    Report without header

  ### Parameters:

  inputname
    Name of error matrix file. If file name is not specified, the program will obtain error matrix from standard input. If file name is provided, it must have the following format: the first line is an integer N which is the number of rows/columns of the matrix; the remainder of the file is the error matrix, or N lines, each containing N integers. For example:

                                   tab(  ); lnnnnnn nnnnnnn.  6 28010 0 0
                                   0 5235 0 17797 0 0 0  3368  744  56  0
                                   69340 0 437 0 0 0 0 0 0 2118 0 0 15762
                                   0 40759 0 0 0 1766 0 0 8126

  outputname
    Name of ascii file in which to report results. If no file name is provided, the report will go to standard output.
  titlename
    Title of the report file which is the first line in output file.
    Default: Error matrix and Kappa

  Alternately, the user can run m.kappa interactively by simply typing m.kappa without command line arguments; in this case, the user will be prompted for the names of input error matrix. m.kappa then calculates the kappa values for overall and each classes along with their variances. Also percentage of commission and ommission error, total correct in counts, total area in counts and percentage of overall correct counts are tabulated.

  The report will be displayed on screen, or written to an output file which is in plain text format and named by user at prompt of running the program.

  ## NOTES

  NA's in report mean non-applicable.

  ## SEE ALSO

  r.kappa

  ## AUTHOR

  Tao Wen, University of Illinois at Urbana-Champaign, Illinois.

  Last changed: $Date: 2002/01/25 05:45:33 $